<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- InheritanceTree.html -->
<!-- this view was generated by InheritanceTree -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Inheritance Tree</title>
<link href="style.css" type="text/css" rel="stylesheet" />
</head>
<body class="InheritanceTree">
<div class="navigation">
<span class="normal"><a href="Scopes/global.html" >Global Namespace</a></span>
<span class="selected">Inheritance Tree</span>
<span class="normal"><a href="InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="NameIndex.html" >Name Index</a></span>
</div>
<h1 >Inheritance Tree</h1><ul><li><a href="Scopes/CosNaming/Binding.html" >CosNaming::Binding</a></li><li><a href="Scopes/CosNaming/BindingIterator.html" >CosNaming::BindingIterator</a></li><li><a href="Scopes/CosNaming/NameComponent.html" >CosNaming::NameComponent</a></li><li><a href="Scopes/CosNaming/NamingContext.html" >CosNaming::NamingContext</a></li><li><a href="Scopes/CosNaming/NamingContext/AlreadyBound.html" >CosNaming::NamingContext::AlreadyBound</a></li><li><a href="Scopes/CosNaming/NamingContext/CannotProceed.html" >CosNaming::NamingContext::CannotProceed</a></li><li><a href="Scopes/CosNaming/NamingContext/InvalidName.html" >CosNaming::NamingContext::InvalidName</a></li><li><a href="Scopes/CosNaming/NamingContext/NotEmpty.html" >CosNaming::NamingContext::NotEmpty</a></li><li><a href="Scopes/CosNaming/NamingContext/NotFound.html" >CosNaming::NamingContext::NotFound</a></li><li><a href="Scopes/CosTrading/DuplicatePolicyName.html" >CosTrading::DuplicatePolicyName</a></li><li><a href="Scopes/CosTrading/DuplicatePropertyName.html" >CosTrading::DuplicatePropertyName</a></li><li><a href="Scopes/CosTrading/IllegalConstraint.html" >CosTrading::IllegalConstraint</a></li><li><a href="Scopes/CosTrading/IllegalOfferId.html" >CosTrading::IllegalOfferId</a></li><li><a href="Scopes/CosTrading/IllegalPropertyName.html" >CosTrading::IllegalPropertyName</a></li><li><a href="Scopes/CosTrading/IllegalServiceType.html" >CosTrading::IllegalServiceType</a></li><li><a href="Scopes/CosTrading/ImportAttributes.html" >CosTrading::ImportAttributes</a><ul><li><a href="Scopes/CosTrading/Admin.html" >Admin</a> <i>(CosTrading::ImportAttributes, CosTrading::LinkAttributes, CosTrading::SupportAttributes, CosTrading::TraderComponents)</i></li><li><a href="Scopes/CosTrading/Lookup.html" >Lookup</a> <i>(CosTrading::ImportAttributes, CosTrading::SupportAttributes, CosTrading::TraderComponents)</i></li></ul>
</li><li><a href="Scopes/CosTrading/InvalidLookupRef.html" >CosTrading::InvalidLookupRef</a></li><li><a href="Scopes/CosTrading/Link/DefaultFollowTooPermissive.html" >CosTrading::Link::DefaultFollowTooPermissive</a></li><li><a href="Scopes/CosTrading/Link/DuplicateLinkName.html" >CosTrading::Link::DuplicateLinkName</a></li><li><a href="Scopes/CosTrading/Link/IllegalLinkName.html" >CosTrading::Link::IllegalLinkName</a></li><li><a href="Scopes/CosTrading/Link/LimitingFollowTooPermissive.html" >CosTrading::Link::LimitingFollowTooPermissive</a></li><li><a href="Scopes/CosTrading/Link/LinkInfo.html" >CosTrading::Link::LinkInfo</a></li><li><a href="Scopes/CosTrading/Link/UnknownLinkName.html" >CosTrading::Link::UnknownLinkName</a></li><li><a href="Scopes/CosTrading/LinkAttributes.html" >CosTrading::LinkAttributes</a><ul><li><a href="Scopes/CosTrading/Admin.html" >Admin</a> <i>(CosTrading::ImportAttributes, CosTrading::LinkAttributes, CosTrading::SupportAttributes, CosTrading::TraderComponents)</i></li><li><a href="Scopes/CosTrading/Link.html" >Link</a> <i>(CosTrading::LinkAttributes, CosTrading::SupportAttributes, CosTrading::TraderComponents)</i></li></ul>
</li><li><a href="Scopes/CosTrading/Lookup/IllegalPolicyName.html" >CosTrading::Lookup::IllegalPolicyName</a></li><li><a href="Scopes/CosTrading/Lookup/IllegalPreference.html" >CosTrading::Lookup::IllegalPreference</a></li><li><a href="Scopes/CosTrading/Lookup/InvalidPolicyValue.html" >CosTrading::Lookup::InvalidPolicyValue</a></li><li><a href="Scopes/CosTrading/Lookup/PolicyTypeMismatch.html" >CosTrading::Lookup::PolicyTypeMismatch</a></li><li><a href="Scopes/CosTrading/Lookup/SpecifiedProps.html" >CosTrading::Lookup::SpecifiedProps</a></li><li><a href="Scopes/CosTrading/MissingMandatoryProperty.html" >CosTrading::MissingMandatoryProperty</a></li><li><a href="Scopes/CosTrading/NotImplemented.html" >CosTrading::NotImplemented</a></li><li><a href="Scopes/CosTrading/Offer.html" >CosTrading::Offer</a></li><li><a href="Scopes/CosTrading/OfferIdIterator.html" >CosTrading::OfferIdIterator</a></li><li><a href="Scopes/CosTrading/OfferIterator.html" >CosTrading::OfferIterator</a></li><li><a href="Scopes/CosTrading/Policy.html" >CosTrading::Policy</a></li><li><a href="Scopes/CosTrading/Property.html" >CosTrading::Property</a></li><li><a href="Scopes/CosTrading/PropertyTypeMismatch.html" >CosTrading::PropertyTypeMismatch</a></li><li><a href="Scopes/CosTrading/Proxy/IllegalRecipe.html" >CosTrading::Proxy::IllegalRecipe</a></li><li><a href="Scopes/CosTrading/Proxy/NotProxyOfferId.html" >CosTrading::Proxy::NotProxyOfferId</a></li><li><a href="Scopes/CosTrading/Proxy/ProxyInfo.html" >CosTrading::Proxy::ProxyInfo</a></li><li><a href="Scopes/CosTrading/ReadonlyDynamicProperty.html" >CosTrading::ReadonlyDynamicProperty</a></li><li><a href="Scopes/CosTrading/Register/IllegalTraderName.html" >CosTrading::Register::IllegalTraderName</a></li><li><a href="Scopes/CosTrading/Register/InterfaceTypeMismatch.html" >CosTrading::Register::InterfaceTypeMismatch</a></li><li><a href="Scopes/CosTrading/Register/InvalidObjectRef.html" >CosTrading::Register::InvalidObjectRef</a></li><li><a href="Scopes/CosTrading/Register/MandatoryProperty.html" >CosTrading::Register::MandatoryProperty</a></li><li><a href="Scopes/CosTrading/Register/NoMatchingOffers.html" >CosTrading::Register::NoMatchingOffers</a></li><li><a href="Scopes/CosTrading/Register/OfferInfo.html" >CosTrading::Register::OfferInfo</a></li><li><a href="Scopes/CosTrading/Register/ProxyOfferId.html" >CosTrading::Register::ProxyOfferId</a></li><li><a href="Scopes/CosTrading/Register/ReadonlyProperty.html" >CosTrading::Register::ReadonlyProperty</a></li><li><a href="Scopes/CosTrading/Register/RegisterNotSupported.html" >CosTrading::Register::RegisterNotSupported</a></li><li><a href="Scopes/CosTrading/Register/UnknownPropertyName.html" >CosTrading::Register::UnknownPropertyName</a></li><li><a href="Scopes/CosTrading/Register/UnknownTraderName.html" >CosTrading::Register::UnknownTraderName</a></li><li><a href="Scopes/CosTrading/SupportAttributes.html" >CosTrading::SupportAttributes</a><ul><li><a href="Scopes/CosTrading/Admin.html" >Admin</a> <i>(CosTrading::ImportAttributes, CosTrading::LinkAttributes, CosTrading::SupportAttributes, CosTrading::TraderComponents)</i></li><li><a href="Scopes/CosTrading/Link.html" >Link</a> <i>(CosTrading::LinkAttributes, CosTrading::SupportAttributes, CosTrading::TraderComponents)</i></li><li><a href="Scopes/CosTrading/Lookup.html" >Lookup</a> <i>(CosTrading::ImportAttributes, CosTrading::SupportAttributes, CosTrading::TraderComponents)</i></li><li><a href="Scopes/CosTrading/Proxy.html" >Proxy</a> <i>(CosTrading::SupportAttributes, CosTrading::TraderComponents)</i></li><li><a href="Scopes/CosTrading/Register.html" >Register</a> <i>(CosTrading::SupportAttributes, CosTrading::TraderComponents)</i></li></ul>
</li><li><a href="Scopes/CosTrading/TraderComponents.html" >CosTrading::TraderComponents</a><ul><li><a href="Scopes/CosTrading/Admin.html" >Admin</a> <i>(CosTrading::ImportAttributes, CosTrading::LinkAttributes, CosTrading::SupportAttributes, CosTrading::TraderComponents)</i></li><li><a href="Scopes/CosTrading/Link.html" >Link</a> <i>(CosTrading::LinkAttributes, CosTrading::SupportAttributes, CosTrading::TraderComponents)</i></li><li><a href="Scopes/CosTrading/Lookup.html" >Lookup</a> <i>(CosTrading::ImportAttributes, CosTrading::SupportAttributes, CosTrading::TraderComponents)</i></li><li><a href="Scopes/CosTrading/Proxy.html" >Proxy</a> <i>(CosTrading::SupportAttributes, CosTrading::TraderComponents)</i></li><li><a href="Scopes/CosTrading/Register.html" >Register</a> <i>(CosTrading::SupportAttributes, CosTrading::TraderComponents)</i></li></ul>
</li><li><a href="Scopes/CosTrading/UnknownMaxLeft.html" >CosTrading::UnknownMaxLeft</a></li><li><a href="Scopes/CosTrading/UnknownOfferId.html" >CosTrading::UnknownOfferId</a></li><li><a href="Scopes/CosTrading/UnknownServiceType.html" >CosTrading::UnknownServiceType</a></li><li><a href="Scopes/CosTradingDynamic/DPEvalFailure.html" >CosTradingDynamic::DPEvalFailure</a></li><li><a href="Scopes/CosTradingDynamic/DynamicProp.html" >CosTradingDynamic::DynamicProp</a></li><li><a href="Scopes/CosTradingDynamic/DynamicPropEval.html" >CosTradingDynamic::DynamicPropEval</a></li><li><a href="Scopes/CosTradingRepos/ServiceTypeRepository.html" >CosTradingRepos::ServiceTypeRepository</a></li><li><a href="Scopes/CosTradingRepos/ServiceTypeRepository/AlreadyMasked.html" >CosTradingRepos::ServiceTypeRepository::AlreadyMasked</a></li><li><a href="Scopes/CosTradingRepos/ServiceTypeRepository/DuplicateServiceTypeName.html" >CosTradingRepos::ServiceTypeRepository::DuplicateServiceTypeName</a></li><li><a href="Scopes/CosTradingRepos/ServiceTypeRepository/HasSubTypes.html" >CosTradingRepos::ServiceTypeRepository::HasSubTypes</a></li><li><a href="Scopes/CosTradingRepos/ServiceTypeRepository/IncarnationNumber.html" >CosTradingRepos::ServiceTypeRepository::IncarnationNumber</a></li><li><a href="Scopes/CosTradingRepos/ServiceTypeRepository/InterfaceTypeMismatch.html" >CosTradingRepos::ServiceTypeRepository::InterfaceTypeMismatch</a></li><li><a href="Scopes/CosTradingRepos/ServiceTypeRepository/NotMasked.html" >CosTradingRepos::ServiceTypeRepository::NotMasked</a></li><li><a href="Scopes/CosTradingRepos/ServiceTypeRepository/PropStruct.html" >CosTradingRepos::ServiceTypeRepository::PropStruct</a></li><li><a href="Scopes/CosTradingRepos/ServiceTypeRepository/ServiceTypeExists.html" >CosTradingRepos::ServiceTypeRepository::ServiceTypeExists</a></li><li><a href="Scopes/CosTradingRepos/ServiceTypeRepository/SpecifiedServiceTypes.html" >CosTradingRepos::ServiceTypeRepository::SpecifiedServiceTypes</a></li><li><a href="Scopes/CosTradingRepos/ServiceTypeRepository/TypeStruct.html" >CosTradingRepos::ServiceTypeRepository::TypeStruct</a></li><li><a href="Scopes/CosTradingRepos/ServiceTypeRepository/ValueTypeRedefinition.html" >CosTradingRepos::ServiceTypeRepository::ValueTypeRedefinition</a></li></ul>
</body>
</html>
